Bug 114366 - [patch] x11/slim causes 'getty repeating too quickly'
Summary: [patch] x11/slim causes 'getty repeating too quickly'
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-07-06 19:50 UTC by ntarmos
Modified: 2007-07-19 17:10 UTC (History)
0 users

See Also:


Attachments
patch-app.cpp-daemonmode (324 bytes, text/plain)
2007-07-06 19:50 UTC, ntarmos
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description ntarmos 2007-07-06 19:50:06 UTC
x11/slim is a X11 login manager. When used as the default desktop
manager through /etc/ttys the login screen comes up ok but init emits a
stream of 'getty repeating too quickly' for the corresponding terminal.
This is due to the use of an uninitialized boolean variable
('daemonmode'); with gcc optimization above O0 the memory allocated via
'new' is not zeroed out, thus 'daemonmode' defaults to values other than
0. Furthermore, the code only checks for equality with 'false', thus
x11/slim enters daemon mode by default, hence the 'getty...' error
stream. This is with both gcc 4.2.x on 7-CURRENT and 3.4.x on 6-STABLE.

How-To-Repeat: Install x11/slim and use it as a desktop manager through /etc/ttys.
Comment 1 Edwin Groothuis freebsd_committer 2007-07-06 19:50:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Tobias Roth 2007-07-15 21:20:21 UTC
Hi Nikos

Thanks a lot for this patch. It works nicely. I will submit it upstream
for inclusion, and integrate it into the freshly released 1.3.0, for
which I will send a PR in the next few days. This PR can be closed.

Thanks,
Tobias
Comment 3 Martin Wilke freebsd_committer 2007-07-15 22:06:28 UTC
State Changed
From-To: feedback->closed

Close by maintainer request.
Comment 4 dfilter service freebsd_committer 2007-07-19 17:09:05 UTC
rafan       2007-07-19 16:09:00 UTC

  FreeBSD ports repository

  Modified files:
    x11/slim             Makefile distinfo 
    x11/slim/files       patch-Makefile.freebsd patch-app.cpp 
                         patch-slim.conf slim.sh.in 
  Added files:
    x11/slim/files       pkg-message.in 
  Removed files:
    x11/slim/files       patch-cfg.cpp 
  Log:
  - Update to 1.3.0 [1]
  - Respect PREFIX [1]
  - Remove 4.x check [1]
  - Allow slim starting from /etc/ttys [2]
  
  PR:             ports/114708 [1], ports/114366 [2]
  Submitted by:   Tobias Roth <ports at fsck.ch> (maintainer) [1],
                  Nikos Ntarmos <ntarmos at ceid.upatras.gr> [2]
  Approved by:    maintainer [2]
  
  Revision  Changes    Path
  1.9       +13 -22    ports/x11/slim/Makefile
  1.4       +3 -3      ports/x11/slim/distinfo
  1.3       +12 -9     ports/x11/slim/files/patch-Makefile.freebsd
  1.2       +11 -29    ports/x11/slim/files/patch-app.cpp
  1.2       +0 -12     ports/x11/slim/files/patch-cfg.cpp (dead)
  1.4       +4 -4      ports/x11/slim/files/patch-slim.conf
  1.1       +7 -0      ports/x11/slim/files/pkg-message.in (new)
  1.3       +5 -1      ports/x11/slim/files/slim.sh.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"